## GstLFOControlSource GstLFOControlSource — LFO control source |

## Functions

GstControlSource * | gst_lfo_control_source_new ()

## Properties

gdouble | amplitude | Read / Write
gdouble | frequency | Read / Write
gdouble | offset | Read / Write
guint64 | timeshift | Read / Write
GstLFOWaveform | waveform | Read / Write

## Types and Values

struct | GstLFOControlSource
enum | GstLFOWaveform

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstControlSource
                    ╰── GstLFOControlSource

## Includes

    #include <gst/controller/controller.h>

## Description

GstLFOControlSource is a GstControlSource, that provides several periodic waveforms as control values.

To use GstLFOControlSource get a new instance by calling `gst_lfo_control_source_new()`, bind it to a GParamSpec and set the relevant properties.

All functions are MT-safe.

## Functions

### gst_lfo_control_source_new ()

    GstControlSource *
    gst_lfo_control_source_new (void);

This returns a new, unbound GstLFOControlSource.

#### Returns

a new, unbound GstLFOControlSource.

[transfer full]

## Types and Values

### struct GstLFOControlSource

    struct GstLFOControlSource;

The instance structure of GstControlSource.

### enum GstLFOWaveform

The various waveform modes available.

#### Members

GST_LFO_WAVEFORM_SINE | sine waveform |
GST_LFO_WAVEFORM_SQUARE | square waveform |
GST_LFO_WAVEFORM_SAW | saw waveform |
GST_LFO_WAVEFORM_REVERSE_SAW | reverse saw waveform |
GST_LFO_WAVEFORM_TRIANGLE | triangle waveform |

## Property Details

### The `“amplitude”` property

      “amplitude”                gdouble

Specifies the amplitude for the waveform of this GstLFOControlSource.

Flags: Read / Write

Allowed values: [0,1]

Default value: 1

### The `“frequency”` property

      “frequency”                gdouble

Specifies the frequency that should be used for the waveform of this GstLFOControlSource. It should be large enough so that the period is longer than one nanosecond.

Flags: Read / Write

Allowed values: >= G_MINDOUBLE

Default value: 1

### The `“offset”` property

      “offset”                   gdouble

Specifies the value offset for the waveform of this GstLFOControlSource.

Flags: Read / Write

Allowed values: [0,1]

Default value: 1

### The `“timeshift”` property

      “timeshift”                guint64

Specifies the timeshift to the right that should be used for the waveform of this GstLFOControlSource in nanoseconds.

To get a n nanosecond shift to the left use "(GST_SECOND / frequency) - n".

Flags: Read / Write

Default value: 0

### The `“waveform”` property

      “waveform”                 GstLFOWaveform

Specifies the waveform that should be used for this GstLFOControlSource.

Flags: Read / Write

Default value: GST_LFO_WAVEFORM_SINE